function FormataDocumento(Documento as string) as string
dim DocumentoFormatado as String

if (Len(Documento)>11) then
   DocumentoFormatado = Mid(Documento, 1, 2) & "." & _
                        Mid(Documento, 3, 3) & "." & _
                        Mid(Documento, 6, 3) & "/" & _
                        Mid(Documento, 9, 4) & "-" & _
                        Mid(Documento, 13, 2)
else
   DocumentoFormatado = Mid(Documento, 1, 3) & "." & _
                        Mid(Documento, 4, 3) & "." & _
                        Mid(Documento, 7, 3) & "-" & _
                        Mid(Documento, 10, 2)
end if

FormataDocumento = DocumentoFormatado

end function
